V1.0
get
/ec-dataaction-svc/rest/v1.0/studies/{studyId}/{mode}/subjects-with-locked-data
API retrieves a list of all subjects that currently have locked data within a clinical study. This endpoint helps identify subjects whose records are restricted from modification due to data lock actions.
Request
Path Parameters
-
mode(required): string
Indicates the operational mode of the study. Accepted values: active, test, or training.Example:
test -
studyId(required): string(uuid)
Unique identifier of the study. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
6020FE17AAC4410B9AB0137E6C88980A
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
Success
Root Schema : SubjectWithLockedDataDto
Type:
objectDTO representing a response with a list of subject IDs who have locked data.
Show Source
-
subjects: array
subjects
List of Unique Identifier(UUID, 32-character uppercase hexadecimal string) representing Subjects.
Nested Schema : subjects
Type:
arrayList of Unique Identifier(UUID, 32-character uppercase hexadecimal string) representing Subjects.
Show Source
-
Array of:
string(uuid)
List of Unique Identifier(UUID, 32-character uppercase hexadecimal string) representing Subjects.
Example:
[
"A1B23C45D67E89F123456789ABCDEF12",
"B2C34D56E78F90A123456789ABCDEF34"
]Examples
400 Response
Bad_Request
Root Schema : RestResponse
Type:
Show Source
object-
errorData: object
ErrorResponseData
Title:
ErrorResponseDataError Response Details Information -
result: object
result
-
status: string
-
version: integer
(int32)
Nested Schema : ErrorResponseData
Type:
objectTitle:
ErrorResponseDataError Response Details Information
Show Source
-
details: object
Object
Title:
ObjectObject with error details information. -
errorCode: string
Error code which is stored in ErrorCode enum. Example : C1-003Example:
C1-003 -
errorMessage: string
Error message which is stored in service property file. Example : Cannot modify object after a study version has been approvedExample:
Cannot modify object after a study version has been approved
Nested Schema : result
Type:
objectNested Schema : Object
Type:
objectTitle:
ObjectObject with error details information.